#
# spec file for package ipvsadm (Version 1.24)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ipvsadm
BuildRequires:  kernel-source popt-devel
Summary:        A Utility for Administering the Linux Virtual Server
Version:        1.24
Release:        123.2
License:        GPL
URL:            http://www.LinuxVirtualServer.org/
Group:          Productivity/Networking/System
Source0:        http://www.LinuxVirtualServer.org/software/ipvsadm-%{version}.tar.bz2
Source1:        ipvsadm.init
Patch:          ipvsadm-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{name}-%{version}
Requires:       grep
PreReq:         %insserv_prereq %fillup_prereq
%define       prefix   /usr

%description
ipvsadm is a utility for administering the IP virtual server services
offered by the Linux kernel with Linux Virtual Server support.



Authors:
--------
    Wensong Zhang <wensong@iinchina.net>

%debug_package
%prep
%setup
# This files are embedded here instead of being another source in order
# to the prefix directory
cat >sysconfig.ipvsadm <<EOFF
## Path:           Network/IPVS
## Description:    Linux Virtual Server Configuration
## ServiceRestart: ipvsadm
## Type:           string
## Default:        /etc/ipvsadm.rules
# 
# Where to find the IPVSADM config-file
#
IPVSADM_CONFIG="/etc/ipvsadm.rules"
EOFF
cat >ipvsadm.rules <<EOFF
#
# Please insert your ipvs-rules here
#
EOFF
%patch

%build
FORCE_GETOPT=1 CFLAGS="${RPM_OPT_FLAGS}" make

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
	[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
mkdir -p ${RPM_BUILD_ROOT}/{sbin,usr/sbin,%{_mandir}/man8,etc/init.d,var/adm/fillup-templates}
BUILD_ROOT=${RPM_BUILD_ROOT} MANDIR=%{_mandir} make install
# install SuSE init script
install -m 755 %{S:1}           	${RPM_BUILD_ROOT}/etc/init.d/ipvsadm
install -m 755 sysconfig.ipvsadm	${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.ipvsadm
install -m 755 ipvsadm.rules		${RPM_BUILD_ROOT}/etc/ipvsadm.rules
ln -sf	../../etc/init.d/ipvsadm	${RPM_BUILD_ROOT}/usr/sbin/rcipvsadm

%post
%{fillup_and_insserv ipvsadm}

%postun
%{insserv_cleanup}

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
	[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc README
%config /etc/ipvsadm.rules
/etc/init.d/ipvsadm
/sbin/*
/usr/sbin/*
/%{_mandir}/man*/*
/var/adm/fillup-templates/sysconfig.ipvsadm

%changelog -n ipvsadm
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Wed Jan 28 2004 - ro@suse.de
- update to 1.24
* Sat Sep 13 2003 - ro@suse.de
- configure kernel-source if needed
* Tue Aug 19 2003 - mt@suse.de
- added "ServiceRestart: ipvsadm" yast2 metadata
  to sysconfig file
* Fri Jan 31 2003 - mt@suse.de
- added yast2 metadata variables to sysconfig file
* Wed Sep 04 2002 - mt@suse.de
- fixed rpm group (Productivity/Networking/System)
- changed failed to skipped if not configured
- removed some echo prefixes and colons
- added rpm dependency to grep
* Mon Aug 19 2002 - mmj@suse.de
- Correct PreReq
* Mon Aug 05 2002 - ro@suse.de
- update to 1.21 to compile with current kernel
* Tue Jul 30 2002 - ro@suse.de
- fix patch
* Fri Jul 19 2002 - mt@suse.de
- updated to ipvsadm-1.20
- enabled getopt usage, since newer popt is needed
* Tue Jan 15 2002 - ro@suse.de
- removed START_IPVSADM
* Fri Jul 27 2001 - mt@suse.de
- fixed popt dependency
- fixed init script to be LSB complaient
* Fri Apr 27 2001 - mge@suse.de
- initial SuSE RPM
